/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.275 Revision 1.484
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.275 2007/05/24 18:17:45 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.484 2011/02/20 12:08:50 phajdan.jr Exp $
4
5 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
6 ruby-1.8.7_p334.ebuild:
7 x86 stable wrt security bug #355439
8
9 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
10 ruby-1.8.7_p334.ebuild:
11 ppc/ppc64 stable wrt #355439
12
13 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
14 Stable on amd64 wrt bug #355439
15
16 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
17 Stable for HPPA (bug #355439).
18
19*ruby-1.8.7_p334 (19 Feb 2011)
20
21 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
22 Version bump 1.8.7 series, security bug 355439
23
24 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
25 ruby-1.9.2.ebuild:
26 Remove PROVIDE for old-style virtual/ruby per bug 265054.
27
28 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
29 Remove masked ruby 1.8.6 per bug 332597.
30
31 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
32 -ruby-1.9.2_rc2.ebuild:
33 Removing old and vulnerable ebuilds
34
35 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
36 Marking ruby-1.8.7_p302 ppc64 for bug 332957
37
38 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
39 alpha/ia64/s390/sh/sparc stable wrt #332957
40
41*ruby-1.9.2 (24 Aug 2010)
42
43 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
44 metadata.xml:
45 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
46 and x86-fbsd due to a new dependency on rdoc.
47
48 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
49 arm stable, bug #332957
50
51 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
52 ruby-1.8.7_p302.ebuild:
53 x86 stable wrt security bug #332957
54
55 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
56 Stable on amd64 wrt bug #332957
57
58 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
59 Stable for PPC (bug #332957).
60
61 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
62 Stable for HPPA (bug #332957).
63
64*ruby-1.8.7_p302 (21 Aug 2010)
65
66 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
67 +ruby-1.8.7_p302.ebuild:
68 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
69 installation path.
70
71*ruby-1.8.6_p399 (19 Aug 2010)
72
73 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
74 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
75 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
76 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
77 installation path (reported by the x86 team in bug 332597)
78
79*ruby-1.9.2_rc2-r1 (18 Aug 2010)
80
81 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
82 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
83 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
84 the rubygems loading code. Add USE flag for psych.
85
86 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
87 ruby-1.9.2_rc2.ebuild:
88 Remove two keepdir that will try to keep an empty path, closes bug
89 #333163.
90
91 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
92 Marked ~ppc (bug #332593).
93
94 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
95 ruby-1.9.2_rc2.ebuild:
96 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
97
98 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
99 ruby-1.8.7_p299.ebuild:
100 Bump eselect-ruby dependency
101
102 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
103 -ruby-1.9.1_p429.ebuild:
104 Remove ebuild that is not target for unmask anyway.
105
106 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
107 ruby-1.9.2_rc2.ebuild:
108 Try 2 to fix the berkdb 5 issue on 1.9.
109
110 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
111 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
112 ruby-1.9.2_rc2.ebuild:
113 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
114 support for adding new patchsets without bumping the revision for all the
115 old ebuilds as well.
116
117*ruby-1.9.2_rc2 (14 Jul 2010)
118
119 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
120 +ruby-1.9.2_rc2.ebuild:
121 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
122 might cause _further_ build failures as it changed slightly behaviour.
123 You're going to need to rebuild rubygems and then all the packages
124 previously installed after upgrading to this.
125
126 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
127 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
128 -ruby-1.9.1_p376.ebuild:
129 Cleanup old versions.
130
131*ruby-1.9.1_p429 (04 Jul 2010)
132
133 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
134 +ruby-1.9.1_p429.ebuild:
135 Version bump to new 1.9.1 release.
136
137*ruby-1.8.7_p299 (23 Jun 2010)
138
139 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
140 +ruby-1.8.7_p299.ebuild:
141 Version bump.
142
143 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
144 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
145 remove useless comments
146
147 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
148 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
149 ruby-1.9.1_p376.ebuild:
150 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
151 dev.gentoo.org now.
152
153 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
154 ruby-1.9.1_p376.ebuild:
155 Use the correct RUBYLIB.
156
157*ruby-1.8.7_p249-r2 (18 May 2010)
158*ruby-1.8.6_p388-r1 (18 May 2010)
159
160 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
161 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
162 ruby-1.9.1_p376.ebuild, metadata.xml:
163 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
164 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
165 add USE flags for ncurses, readline and libedit, and properly depend on
166 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
167 Emacs versions support ruby-mode themselves and it should be even more
168 updated.
169
170*ruby-1.8.7_p249-r1 (06 May 2010)
171
172 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
173 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
174 309789 by Sune Kloppenborg Jeppesen.
175
176 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
177 ruby-1.8.7_p249.ebuild:
178 Use $PVR instead of $PV in patchset names
179
180 06 May 2010; Alex Legler <a3li@gentoo.org>
181 -files/ruby-1.8.6-memory-leak.diff,
182 -files/ruby18-mkmf-parallel-install.patch,
183 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
184 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
185 Remove old version. Cleanup in files/
186
187*ruby-1.9.1_p376 (01 May 2010)
188
189 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
190 Version bump. Fixes security bugs 296052 and 300468. No longer installs
191 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
192 instead.
193
194 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
195 -ruby-1.8.7_p174-r1.ebuild:
196 Remove vulnerable ebuilds, 300468
197
198 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
199 ruby-1.8.7_p249.ebuild:
200 amd64 stable, security bug 300468
201
202 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
203 ruby-1.8.7_p249.ebuild:
204 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
205
206 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
207 Stable for HPPA (bug #300468).
208
209 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
210 Stable for HPPA (bug #300468).
211
212 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
213 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
214
215 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
216 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
217
218 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
219 ruby-1.8.6_p388.ebuild:
220 stable x86, security bug 300468
221
222 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
223 ruby-1.8.7_p249.ebuild:
224 stable x86, security bug 300468
225
226*ruby-1.8.6_p388 (10 Jan 2010)
227
228 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
229 +ruby-1.8.6_p388.ebuild:
230 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
231 version. The new ebuild also has the fix for bug 168939.
232
233*ruby-1.8.7_p249 (10 Jan 2010)
234
235 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
236 +ruby-1.8.7_p249.ebuild:
237 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
238 version
239
240 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
241 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
242
243*ruby-1.8.7_p248 (25 Dec 2009)
244
245 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
246 Version bump
247
248 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
249 Remove old version.
250
251 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
252 Remove old version.
253
254 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
255 ia64/s390/sh stable wrt #288699
256
257 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
258 stable sparc, bug 288699
259
260 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
261 arm stable, bug #288699
262
263 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
264 amd64/x86 stable, bug #288699
265
266 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
267 ruby-1.8.7_p174-r1.ebuild:
268 Stable on alpha, bug #288699
269
270 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
271 ppc stable #288699
272
273 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
274 Stable for HPPA (bug #288699).
275
276 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
277 Marked ~hppa too.
278
279*ruby-1.8.7_p174-r1 (06 Oct 2009)
280
281 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
282 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
283 eselect-ruby cleanup feature.
284
285*ruby-1.9.1_p243 (09 Sep 2009)
286
287 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
288 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
289 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
290 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
291 -files/ruby19-rubygems-proxy.patch,
292 -files/ruby-1.9.1_p129-parallelmake.patch,
293 -files/ruby19-mkmf-parallel-install.patch:
294 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
295 168939. Cleaning up old patches.
296
297*ruby-1.8.6_p383 (20 Aug 2009)
298
299 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
300 Patchlevel bump.
301
302 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
303 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
304 ruby-1.9.1_p129-r1.ebuild:
305 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
306
307 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
308 Removing vulnerable ebuild, bug 273213.
309
310 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
311 Marking ruby-1.8.6_p369 ppc for bug 273213
312
313 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
314 ruby-1.9.1_p129-r1.ebuild:
315 Prepend our library path instead of overwriting it during src_install.
316 Thanks to the reporter of bug #274824.
317
318*ruby-1.8.7_p174 (18 Jun 2009)
319
320 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
321 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
322 Replacing 187_p173 with _p174 because of a regression. Unifying the
323 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
324 patchsets.
325
326 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
327 Marking ruby-1.8.6_p369 ppc64 for bug 273213
328
329 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
330 arm/ia64/s390/sh/sparc stable wrt #273213
331
332 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
333 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
334 Removing old version, minor cleanup
335
336 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
337 -files/ruby-1.8.6-openssl.patch,
338 -files/ruby-1.8.6-shortname_constants.patch,
339 -files/ruby-1.8.6_p111-r13657.patch,
340 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
341 Removing vulnerable old Ruby version and stale patches, bug 274108.
342
343 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
344 ruby-1.8.6_p369.ebuild:
345 Stable on alpha, bug #273213
346
347 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
348 Stable for HPPA (bug #273213).
349
350 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
351 ruby-1.8.6_p369.ebuild:
352 stable x86, security bug 273213
353
354 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
355 amd64 stable, security bug 273213.
356
357*ruby-1.8.7_p173 (10 Jun 2009)
358*ruby-1.8.6_p369 (10 Jun 2009)
359
360 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
361 +ruby-1.8.7_p173.ebuild:
362 Version bumps for bug #273213.
363
364*ruby-1.9.1_p129-r1 (27 May 2009)
365
366 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
367 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
368 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
369 +files/ruby-1.9.1_p129-parallelmake.patch:
370 Revision bump, add patches 1) to make Ruby behave more similarly between
371 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
372 extensions (undefined symbols in them will cause abort at runtime 3) to
373 remove a concurrency issue when building the dl extension that could
374 result in a broken dl.so.
375
376 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
377 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
378 Don't block rdoc-2 or later (which may enter Portage one day as it's
379 needed by some Rakefiles).
380
381 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
382 ruby-1.9.1_p129.ebuild:
383 Add ~x86-fbsd keyword.
384
385 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
386 keyword ~sparc-fbsd, bug #252315
387
388*ruby-1.9.1_p129 (15 May 2009)
389
390 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
391 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
392 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
393 included in every release.
394
395 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
396 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
397 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
398 ruby-1.8.7_p160.ebuild:
399 Removing vulnerable versions (#268515), fixing license (#233747).
400
401 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
402 Stable for HPPA (bug #268515).
403
404 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
405 Adapting rubygems notice.
406
407 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
408 amd64 stable, bug #268515.
409
410 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
411 arm/ia64/s390/sh/sparc stable wrt #268515
412
413 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
414 ruby-1.8.6_p368.ebuild:
415 stable x86, security bug 268515
416
417 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
418 ruby-1.8.6_p368.ebuild:
419 Stable on alpha, bug #268515
420
421 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
422 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
423
424*ruby-1.8.7_p160 (07 May 2009)
425*ruby-1.8.6_p368 (07 May 2009)
426
427 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
428 +ruby-1.8.7_p160.ebuild:
429 Version bump as per secbug 268515. NB: These are the first ebuilds that
430 no longer use ruby-config.
431
432*ruby-1.9.1-r1 (03 Apr 2009)
433*ruby-1.8.7_p72-r11 (03 Apr 2009)
434*ruby-1.8.6_p287-r13 (03 Apr 2009)
435
436 03 Apr 2009; Alex Legler <a3li@gentoo.org>
437 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
438 +files/ruby18-mkmf-parallel-install.patch,
439 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
440 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
441 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
442 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
443 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
444 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
445 happy.
446
447*ruby-1.9.1 (21 Mar 2009)
448
449 21 Mar 2009; Alex Legler <a3li@gentoo.org>
450 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
451 +ruby-1.9.1.ebuild:
452 Adding Ruby 1.9.1 for preliminary testing
453
454 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
455 ruby-1.8.6_p287-r12.ebuild:
456 Marked ~ppc for bug #252315.
457
458 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
459 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
460 bug 261982.
461
462 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
463 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
464 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
465 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
466 Cleanup
467
468*ruby-1.8.7_p72-r10 (07 Mar 2009)
469
470 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
471 +ruby-1.8.7_p72-r10.ebuild:
472 Add a revision of ruby 1.8.7 using eselect ruby.
473
474 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
475 ~mips keyworded, bug #252315.
476
477 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
478 ruby-1.8.6_p287-r5.ebuild:
479 ppc stable, bug #260006
480
481 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
482 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
483
484 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
485 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
486 Fixing Tk USE flag test, bug 258893.
487
488 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
489 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
490
491 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
492 ruby-1.8.6_p287-r5.ebuild:
493 amd64 stable wrt security bug #260006
494
495 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
496 Stable for HPPA (bug #260006).
497
498 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
499 ruby-1.8.6_p287-r5.ebuild:
500 Stable on alpha, bug #260006
501
502*ruby-1.8.7_p72-r2 (23 Feb 2009)
503*ruby-1.8.6_p287-r12 (23 Feb 2009)
504*ruby-1.8.6_p287-r5 (23 Feb 2009)
505
506 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
507 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
508 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
509 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
510 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
511 now before compilation if Tk useflags don't match) and 230748 (adding
512 --enable-option-checking=no for newer versions of autoconf).
513
514 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
515 arm/ia64/s390/sh/sparc stable wrt #254307
516
517 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
518 ruby-1.8.6_p287-r4.ebuild:
519 Stable on alpha, bug #254307
520
521 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
522 ruby-1.8.6_p287-r11.ebuild:
523 keyword ~x86-fbsd, bug #252315
524
525 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
526 ppc stable #254307
527
528 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
529 amd64/x86 stable, bug #254307
530
531 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
532 stable ppc64, bug 254307
533
534 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
535 Stable for HPPA (bug #254307).
536
537 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
538 ruby-1.8.6_p287-r11.ebuild:
539 Marked ~hppa (bug #252315).
540
541*ruby-1.8.6_p287-r11 (11 Jan 2009)
542
543 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
544 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
545 +ruby-1.8.6_p287-r11.ebuild:
546 Backport conditional definition of missing openssl functions from ruby 1.8.7.
547 Fixes #254307.
548
549 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
550 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
551
552 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
553 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
554
555 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
556 ruby-1.8.6_p287-r10.ebuild:
557 Add ~sparc keyword, bug #252315
558
559*ruby-1.8.6_p287-r10 (23 Dec 2008)
560
561 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
562 +ruby-1.8.6_p287-r10.ebuild:
563 Version bump which switches from ruby-config to eselect-ruby. Dropped most
564 keywords since eselect-ruby does not yet have these keywords.
565
566 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
567 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
568 Revert the ruby-config changes. We can't remove them until we provide an
569 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
570 for breaking things as mentioned in bug #251833.
571
572 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
573 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
574 ruby-1.8.7_p72-r1.ebuild:
575 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
576 Thanks for the people noticing this in bug #251833.
577
578 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
579 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
580 ruby-1.8.7_p72-r1.ebuild:
581 Drop dependency on ruby-config, which will be removed from the tree. We
582 currently only have one major version of ruby in the tree (Ruby 1.8), so there
583 is no need for ruby-config at this moment. For newer versions of Ruby we will
584 use eselect-ruby, which can be found in the ruby overlay at the moment.
585
586 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
587 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
588 Use mirror://ruby in SRC_URI, fixes #237392.
589
590 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
591 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
592 -ruby-1.8.7_p72.ebuild:
593 Remove old versions. Leave one old stable version with cjk support.
594
595*ruby-1.8.6_p287-r3 (29 Nov 2008)
596
597 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
598 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
599 +ruby-1.8.6_p287-r3.ebuild:
600 Fix our expansion limit patch according to debian bug report
601 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
602 make sure people will pick up the fixed version. Thanks to Alex Legler for
603 mentioning the patch.
604
605*ruby-1.8.7_p72-r1 (26 Nov 2008)
606*ruby-1.8.6_p287-r2 (26 Nov 2008)
607
608 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
609 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
610 +ruby-1.8.7_p72-r1.ebuild:
611 Fix problem with shortname constants #247790, already fixed in upstream SVN.
612 Thanks to Alex Legler for providing the patch.
613
614 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
615 -ruby-1.8.6_p287.ebuild:
616 Remove versions that will not become stable
617
618 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
619 ruby-1.8.6_p287-r1.ebuild:
620 ppc stable, bug #225465
621
622 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
623 ruby-1.8.6_p287-r1.ebuild:
624 amd64 stable wrt security bug #225465
625
626 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
627 alpha/ia64/x86 stable wrt #225465
628
629 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
630 ruby-1.8.6_p287-r1.ebuild:
631 Sparc stable --- Security Bug #225465 --- good since late August.
632
633 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
634 Stable on ppc64; bug #225465
635
636 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
637 Stable for HPPA (bug #225465).
638
639*ruby-1.8.6_p287-r1 (29 Aug 2008)
640
641 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
642 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
643 +ruby-1.8.6_p287-r1.ebuild:
644 Fix REXML security issues, bug #236060.
645
646 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
647 Add GLEP 56 USE flag descriptions.
648
649*ruby-1.8.7_p72 (15 Aug 2008)
650
651 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
652 +ruby-1.8.7_p72.ebuild:
653 bump 1.8.7 to latest patch release
654
655*ruby-1.8.6_p287 (11 Aug 2008)
656
657 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
658 Version bump for brown paper bag relelease.
659
660 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
661 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
662 Remove broken version in favor of the just-added 1.8.6_p286
663
664*ruby-1.8.6_p286 (10 Aug 2008)
665
666 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
667 Version bump to latest released version of ruby 1.8.6. This version fixes the
668 security issues reported in #225465 and #234224. The cjk USE flag has been
669 dropped since no compatible patches have been released yet.
670
671 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
672 ruby-1.8.6_p230.ebuild:
673 drop cjk from SRC_URI as well
674
675 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
676 Drop cjk support since the most recent oniguruma patches no longer apply to
677 this version, #230111.
678
679 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
680 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
681 Try to fix the security issues reported in #225465 for ruby 1.8.6.
682 Unfortunately the official p230 has a change which causes segmentation faults
683 for applications like Rails and RSpec, so we are reverting that specific
684 change.
685
686*ruby-1.8.7_p22 (29 Jun 2008)
687
688 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
689 +ruby-1.8.7_p22.ebuild:
690 bump 1.8.7 for security fix
691
692 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
693 nevermind, don't bump this yet
694
695*ruby-1.8.6_p230 (20 Jun 2008)
696
697 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
698 version bump
699
700*ruby-1.8.7 (10 Jun 2008)
701
702 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
703 +ruby-1.8.7.ebuild:
704 bump 1.8.7 to final
705
706*ruby-1.8.7_pre2 (21 Apr 2008)
707
708 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
709 +ruby-1.8.7_pre2.ebuild:
710 Version Bump
711
712*ruby-1.8.7_pre1 (16 Apr 2008)
713
714 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
715 Version bump. Drop cjk until a new version of oniguruma appears.
716
717 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
718 amd64 stable, bug 212264
719
720 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
721 Stable for HPPA (bug #212264).
722
723 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
724 ruby-1.8.6_p114.ebuild:
725 ppc stable, bug #212264
726
727 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
728 alpha/ia64 stable wrt #212264
729
730 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
731 ruby-1.8.6_p114.ebuild:
732 stable x86, security bug 212264
733
734 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
735 Sparc stable, Security Bug #212264, builds and installs, initial tests run
736 as expected.
737
738 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
739 Marking ruby-1.8.6_p114 ppc64 for bug 212264
740
741*ruby-1.8.6_p114 (05 Mar 2008)
742
743 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
744 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
745 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
746 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
747 Version bump for #212264. Remove old ebuilds.
748
749 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
750 alpha/ia64 stable wrt #208916
751
752 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
753 Stable on ppc wrt bug 208916
754
755 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
756 x86 stable, bug #208916
757
758 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
759 ruby-1.8.6_p111-r1.ebuild:
760 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
761
762 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
763 -files/ruby-1.8.6-exit-status.patch,
764 -files/ruby-1.8.6_p110-net-http-p111.patch,
765 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
766 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
767 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
768 Remove old versions
769
770 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
771 Stable on ppc64
772
773 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
774 Stable on amd64; bug 199191
775
776 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
777 alpha/ia64/sparc stable wrt #199191
778
779 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
780 Remove now-obsolete warning about coreutils versions, #203156.
781
782 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
783 Stable for HPPA (bug #199191).
784
785*ruby-1.8.6_p111-r1 (23 Dec 2007)
786
787 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
788 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
789 ssl USE flags. Patch to p113.
790
791 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
792 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
793
794 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
795 x86 stable, security bug #199191
796
797*ruby-1.8.6_p111 (23 Dec 2007)
798
799 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
800 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
801 Version bump with patch for bug #199191
802
803 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
804 Move dependency on (X)Emacs modes to PDEPEND.
805
806 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
807 Add back ~hppa keyword now that XEmacs support files have been keyworded,
808 bug 196413
809
810*ruby-1.8.6_p110-r2 (21 Oct 2007)
811
812 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
813 +ruby-1.8.6_p110-r2.ebuild:
814 Add emacs and xemacs USE flags and use them to pull in the correct editing
815 mode for each. Had to drop several arch keywords as reported on bug 196413.
816
817 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
818 amd64 stable, security bug 194236
819
820 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
821 ruby-1.8.6_p110-r1.ebuild:
822 Stable on ppc64; bug #194236
823
824 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
825 amd64 stable, security bug 194236
826
827 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
828 Stable for HPPA (bug #194236).
829
830 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
831 alpha/ia64/sparc stable wrt security #194236
832
833 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
834 ruby-1.8.6_p110-r1.ebuild:
835 ppc stable, bug #194236
836
837 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
838 ruby-1.8.6_p110-r1.ebuild:
839 stable x86, security bug 194236
840
841 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
842 ruby-1.8.5_p113.ebuild:
843 stable x86, security bug 194236
844
845 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
846 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
847 -ruby-1.8.6_p110.ebuild:
848 Remove old versions
849
850*ruby-1.8.6_p110-r1 (30 Sep 2007)
851*ruby-1.8.5_p113 (30 Sep 2007)
852
853 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
854 +files/ruby-1.8.5_p113-net-http-p114.patch,
855 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
856 +ruby-1.8.6_p110-r1.ebuild:
857 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
858 using 1.8.6-p110 as base ebuild.
859
860 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
861 More fixes from gentoo-dev and graaff
862
863 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
864 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
865
866*ruby-1.8.6_p110 (24 Sep 2007)
867
868 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
869 Version bump
870
871*ruby-1.8.6_p36-r4 (26 Aug 2007)
872
873 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
874 +ruby-1.8.6_p36-r4.ebuild:
875 Use user LDFLAGS, #181436
876
877 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
878 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
879 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
880 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
881
882 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
883 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
884 -ruby-1.8.6_p36-r2.ebuild:
885 Remove some older versions that will not be promoted to stable, keeping at
886 least one version of each release.
887
888 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
889 ruby-1.8.6_p36-r3.ebuild:
890 (QA) RESTRICT clean up.
891
892*ruby-1.8.6_p36-r3 (04 Jul 2007)
893
894 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
895 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
896 fixed memory leak loading .so bug #182946
897
898 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
899 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
900 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
901 ruby-1.8.6_p36-r2.ebuild:
902 (QA) RESTRICT clean up.
903
904 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
905 Re-add stable keyword for alpha as per bug #181110
906
907 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
908 Back to ~amd64 wrt bug 181110
909
910 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
911 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
912
913*ruby-1.8.6_p36-r2 (20 Jun 2007)
914
915 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
916 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671
917
918*ruby-1.8.6_p36-r1 (18 Jun 2007)
919
920 18 Jun 2007; Richard Brown <rbrown@gentoo.org>
921 +files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
922 -ruby-1.8.6_p36.ebuild, +ruby-1.8.6_p36-r1.ebuild:
923 Add prototype fix from ruby -r12567 [ruby-list:43615]. Thanks to peper and
924 spbecker
925
926 14 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
927 Stable on amd64 wrt bug 181110
928
929*ruby-1.8.6_p36 (12 Jun 2007)
930
931 12 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36.ebuild:
932 Version Bump. Bug #181379
933
934 10 Jun 2007; Joshua Kinard <kumba@gentoo.org> ruby-1.8.6-r1.ebuild:
935 Stable on mips, per #181110.
936
937 09 Jun 2007; nixnut <nixnut@gentoo.org> ruby-1.8.6-r1.ebuild:
938 Stable on ppc wrt bug 181110
939
940 09 Jun 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6-r1.ebuild:
941 Stable for HPPA (bug #181110).
942
943 09 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
944 alpha/ia64/x86 stable wrt #181110
945
946 07 Jun 2007; Gustavo Zacarias <gustavoz@gentoo.org> ruby-1.8.6-r1.ebuild:
947 Stable on sparc wrt #181110
948
949 06 Jun 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6-r1.ebuild:
950 Marking ruby-1.8.6-r1 ppc64 stable for bug#181110
4 951
5 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild, 952 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild, 953 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
7 ruby-1.8.5_p35.ebuild: 954 ruby-1.8.5_p35.ebuild:
8 Add RESTRICT="test" to ebuilds that have no hope of passing. 955 Add RESTRICT="test" to ebuilds that have no hope of passing.

Legend:
Removed from v.1.275  
changed lines
  Added in v.1.484

  ViewVC Help
Powered by ViewVC 1.1.20